Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86472 - gnupg missing BuildRequires: openldap-devel
Summary: gnupg missing BuildRequires: openldap-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-23 11:16 UTC by Ville Skyttä
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-29 08:37:03 UTC


Attachments (Terms of Use)
Requirement fixes for gnupg (deleted)
2003-05-07 11:29 UTC, Ville Skyttä
no flags Details | Diff
Fix for #86472, against 1.2.2-3 (deleted)
2003-08-16 09:20 UTC, Ville Skyttä
no flags Details | Diff
Updated patch against 1.2.6-2 (deleted)
2004-12-05 23:39 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2003-03-23 11:16:37 UTC
gnupg-1.2.1-3 is missing BuildRequires: openldap-devel, but the corresponding
Phoebe binary is built with LDAP support.  To make the build reproducible, the
requirement would be a good thing to add.  See also bug 75820.

Comment 1 Ville Skyttä 2003-05-07 11:29:45 UTC
Created attachment 91530 [details]
Requirement fixes for gnupg

This bug is stuff valid as of 1.2.2-1.	See the attached patch to the spec, and
please consider applying.

Comment 2 Ville Skyttä 2003-05-07 11:33:05 UTC
Oh, and if you want to save some space, there's a *.tar.bz2 tarball available too...

Comment 3 Ville Skyttä 2003-05-07 11:40:09 UTC
Hm.  Also missing BuildRequires: gettext.

Comment 4 Ville Skyttä 2003-08-16 09:19:27 UTC
The issues still exist with 1.2.2-3 in Rawhide.

Comment 5 Ville Skyttä 2003-08-16 09:20:37 UTC
Created attachment 93680 [details]
Fix for #86472, against 1.2.2-3

Comment 6 Ville Skyttä 2003-08-23 08:05:18 UTC
gnupg 1.2.3 is out, please consider applying this patch when updating.
http://lists.gnupg.org/pipermail/gnupg-announce/2003q3/000272.html

Comment 7 Ville Skyttä 2004-12-05 23:39:35 UTC
Created attachment 107919 [details]
Updated patch against 1.2.6-2

Still unfixed in FC3's 1.2.6-1 and rawhide's 1.2.6-2.  Please apply.

Comment 8 Warren Togami 2005-03-29 08:37:03 UTC
This is no longer an issue in FC4, although libusb-devel needs to be uncommented
eventually when it is no longer an issue on some archs.  Closing.


Note You need to log in before you can comment on or make changes to this bug.